Bug 210275 - named doesn't start with NetworkManager
Summary: named doesn't start with NetworkManager
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-11 07:34 UTC by Radek Vokal
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-01 08:12:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Vokal 2006-10-11 07:34:07 UTC
Description of problem:
when named started from NetworkManager it crashes with 

 add_ip4_config_to_named (): Could not set forwarders for zone '.'.
 Error: 'Message did not receive a reply (timeout by message bus)'. 

and named has to be started by hand. Don't know if this is named or
NetworkManager bug.

Version-Release number of selected component (if applicable):
$ rpm -q bind NetworkManager
bind-9.3.2-41.fc6
NetworkManager-0.6.4-5.fc6

How reproducible:
always

Steps to Reproduce:
1. service NetworkManager restart
2. observer named crashing from logs
3. service named restart
4. named starts just fine
  
Actual results:
named not started

Expected results:
named starts

Additional info:

Comment 1 Martin Stransky 2006-10-11 11:36:03 UTC
please attach full content of /var/log/messages

Comment 2 Radek Vokal 2006-10-13 06:39:37 UTC
grep named /var/log/messages from this morning

Oct 13 08:37:17 localhost named[2798]: starting BIND 9.3.2 -u named -D
Oct 13 08:37:17 localhost named[2798]: found 2 CPUs, using 2 worker threads
Oct 13 08:37:17 localhost named[2798]: loading configuration from '/etc/named.conf'
Oct 13 08:37:17 localhost named[2798]: listening on IPv4 interface lo, 127.0.0.1#53
Oct 13 08:37:17 localhost named[2798]: listening on IPv4 interface eth0,
192.168.1.13#53
Oct 13 08:37:17 localhost named[2798]: command channel listening on 127.0.0.1#953
Oct 13 08:37:18 localhost named[2798]: zone 0.in-addr.arpa/IN: loaded serial 42
Oct 13 08:37:18 localhost named[2798]: zone 0.0.127.in-addr.arpa/IN: loaded
serial 1997022700
Oct 13 08:37:18 localhost named[2798]: zone 255.in-addr.arpa/IN: loaded serial 42
Oct 13 08:37:18 localhost named[2798]: zone
0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa/IN:
loaded serial 1997022700
Oct 13 08:37:18 localhost named[2798]: zone localdomain/IN: loaded serial 42
Oct 13 08:37:18 localhost named[2798]: zone localhost/IN: loaded serial 42
Oct 13 08:37:18 localhost NetworkManager: <WARNING>      add_ip4_config_to_named
(): Could not set forwarders for zone '.'.  Error: 'The name com.redhat.named
was not provided by any .service files'. 


Comment 3 Martin Stransky 2007-02-01 08:12:37 UTC
> Error: 'The name com.redhat.named was not provided by any .service files'. 

It means that dbus service (dbus deamon) isn't active so named can't connect to
system-bus.


Note You need to log in before you can comment on or make changes to this bug.